using Plane.Copters;
using System;
using System.Threading;

namespace Plane.CopterManagement
{
    public partial class CopterFactory : ICopterFactory
    {
        private SynchronizationContext _uiSyncContext;

        public CopterFactory(SynchronizationContext uiSyncContext)
        {
            _uiSyncContext = uiSyncContext;
        }

#if !NETFX_CORE

        public ICopter CreateBluetoothCopter(string hostName, string name = "GHOSTDRONE")
        {
            throw new NotImplementedException();
        }

#endif

        public IFakeCopter CreateFakeCopter(string id = "FakeCopter", string name = "Linjq's Drone")
        {
            return new FakeCopter
            {
                Id = id,
                Name = name
            };
        }
    }
}
